﻿
 SELECT 
 tblOlapAccounts.Firma AS 'Company No',
 --tblOlapAccounts.AccCode AS 'GL Account KEY',
 tblOlapAccounts.AccName +  ' ' + tblOlapAccounts.AccCode AS 'GL Account',
 tblOlapAccounts.SumCode1 AS 'Grouping Level 1 KEY',
 tblOlapAccounts.SumName1 AS 'Grouping Level 1',
 tblOlapAccounts.SumCode2 AS 'Grouping Level 2 KEY',
 tblOlapAccounts.SumName2 AS 'Grouping Level 2',
 --tblOlapAccounts.SumCode3 AS 'Grouping Level 3 KEY',
 tblOlapAccounts.SumName3 AS 'Grouping Level 3',
 --tblOlapAccounts.AccAtt AS 'Line Details KEY',
 tblOlapAccounts.AccAtt AS 'Line Details',
 tblOlapAccounts1.SumCode1 AS 'Balance GL L 1 KEY',
 tblOlapAccounts1.SumName1 AS 'Balance GL L 1',
 tblOlapAccounts1.SumCode2 AS 'Balance GL L 2 KEY',
 tblOlapAccounts1.SumName2 AS 'Balance GL L 2',
 --tblOlapAccounts1.SumCode3 AS 'Balance GL L 3 KEY',
 NCHAR(8207) + tblOlapAccounts1.SumCode3 + ' ' + tblOlapAccounts1.SumName3 AS 'Balance GL L 3',
 --tblOlapAccounts1.PL AS 'Sub Ledgers No KEY',
 tblOlapAccounts1.PL AS 'Sub Ledgers No',
 -- tblDataDates0.Dates AS 'Invoice Date KEY',
  tblDataDates0.Dates AS 'Invoice Date',
  ActS.N2 AS 'OBS Level 2 KEY',
  ActS.L2 AS 'OBS Level 2',
  ActS.N1 AS 'OBS Level 1 KEY',
  ActS.L1 AS 'OBS Level 1',
  ActS.CcRank AS 'OBS Level 0 KEY',
  ActS.CcName AS 'OBS Level 0',
  --ActS.ActCode AS 'Products-Divisions Product-Unit KEY',
 ActS.ActCode +  ' ' + ActS.ActName AS 'Products-Divisions Product-Unit',
  ActS1City.N2 AS 'Customers Local Market-Export KEY',
  ActS1City.L2 AS 'Customers Local Market-Export',
  ActS1City.N1 AS 'Customers City-Country KEY',
  ActS1City.L1 AS 'Customers City-Country',
  ActS1City.CcRank AS 'Customers City KEY',
  ActS1City.CcName AS 'Customers City',
  ActS1Distributer.N1 AS 'Marketing Chanel KEY',
  ActS1Distributer.L1 AS 'Marketing Chanel',
 tblDataAttributes.OpenBalance AS 'OpenBalance',
 --tblOlapNumeric.ID_Group AS 'Data Source KEY',
  tblOlapNumeric.GroupName AS 'Data Source',
  CASE  WHEN tblOlapNumeric.ID_Group = 1 OR tblOlapNumeric.ID_Group = 2 OR tblOlapNumeric.ID_Group = 4 THEN  tblOlapNumeric.Value  ELSE NULL  END  AS 'Actual' ,
 CASE  WHEN tblOlapNumeric1.ID_Group = 3 THEN  tblOlapNumeric1.Value  ELSE NULL  END  AS 'Budget' ,
 CASE  WHEN tblOlapNumeric2.ID_Group = 1 OR tblOlapNumeric2.ID_Group = 2 OR tblOlapNumeric2.ID_Group = 4 THEN  tblOlapNumeric2.Value  ELSE NULL  END  AS 'Quantity' 

 FROM 
tblOlapAccounts  INNER JOIN 
 tblOlapAccounts tblOlapAccounts1 ON 
tblOlapAccounts.ID_Data = tblOlapAccounts1.ID_Data AND 
tblOlapAccounts.ID_File = tblOlapAccounts1.ID_File INNER JOIN 
   tblDataDates  tblDataDates0 ON 
 tblOlapAccounts1.ID_Data = tblDataDates0.ID_Data  AND 
tblOlapAccounts1.ID_File = tblDataDates0.ID_File  INNER JOIN 
 tblOlapObsActStronger ActS  ON 
 tblDataDates0.ID_Data = ActS.ID_Data  AND 
tblDataDates0.ID_File = ActS.ID_File  INNER JOIN 
 tblOlapObsActStronger ActS1City  ON 
 ActS.ID_Data = ActS1City.ID_Data  AND 
ActS.ID_File = ActS1City.ID_File  INNER JOIN 
 tblOlapObsActStronger ActS1Distributer  ON 
 ActS1City.ID_Data = ActS1Distributer.ID_Data  AND 
ActS1City.ID_File = ActS1Distributer.ID_File  INNER JOIN 
 tblDataAttributes  ON 
 ActS1Distributer.ID_Data = tblDataAttributes.ID_Data  AND 
ActS1Distributer.ID_File = tblDataAttributes.ID_File  INNER JOIN 
 tblOlapNumeric ON 
 tblDataAttributes.ID_Data = tblOlapNumeric.ID_Data  AND 
tblDataAttributes.ID_File = tblOlapNumeric.ID_File  INNER JOIN 
 tblOlapNumeric tblOlapNumeric1 ON 
 tblOlapNumeric.ID_Data = tblOlapNumeric1.ID_Data  AND 
tblOlapNumeric.ID_File = tblOlapNumeric1.ID_File  AND 
tblOlapNumeric.ID_Group = tblOlapNumeric1.ID_Group  AND 
tblOlapNumeric.ID_Acredit = tblOlapNumeric1.ID_Acredit  INNER JOIN 
 tblOlapNumeric tblOlapNumeric2 ON 
 tblOlapNumeric1.ID_Data = tblOlapNumeric2.ID_Data  AND 
tblOlapNumeric1.ID_File = tblOlapNumeric2.ID_File  AND 
tblOlapNumeric1.ID_Group = tblOlapNumeric2.ID_Group  AND 
tblOlapNumeric1.ID_Acredit = tblOlapNumeric2.ID_Acredit 

 WHERE 
tblOlapAccounts.ID_AccX = 0 AND 
  (tblOlapAccounts1.ID_AccX = 1) AND 
   (tblDataDates0.ID_DateName=0) AND 
(ActS.ID_Actx = 0 AND 
ActS.ObsName = '1')  AND 
(ActS1City.ID_Actx = 1 AND 
ActS1City.ObsName = 'City')  AND 
(ActS1Distributer.ID_Actx = 1 AND 
ActS1Distributer.ObsName = 'Distributer')  AND 
(tblOlapNumeric.ID_NumType = 0) AND 
(tblOlapNumeric.ID_Cur IN ( 0)) AND 
(tblOlapNumeric1.ID_NumType = 0) AND 
(tblOlapNumeric1.ID_Cur IN ( 0)) AND 
(tblOlapNumeric2.ID_NumType = 1) AND 
(tblOlapNumeric2.ID_Cur IN ( 0))
